# Package net.axay.kspigot.serialization

## Types

SpigotSerializable
Link copied to clipboard
interface SpigotSerializable<T>
Content copied to clipboard
SpigotSerialzableCompanion
Link copied to clipboard
interface SpigotSerialzableCompanion<T>
Content copied to clipboard

## Functions

deserialize
Link copied to clipboard
inline fun <T> SpigotSerialzableCompanion<T>.deserialize(json: String): T
Content copied to clipboard
Deserializes the given json string and returns the deserialized object.
serialize
Link copied to clipboard
fun SpigotSerializable<*>.serialize(pretty: Boolean = true): String
Content copied to clipboard